package com.example.filesdemo1;
 
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;
 
public class MainActivity extends Activity 
{
    private static final String TAG = MainActivity.class.getName();
    private static final String FILENAME = "myFile.txt";
     
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        final EditText editText1 = (EditText) findViewById(R.id.editText1);
        final Button btnSave = (Button) findViewById(R.id.btnSave);
        final Button btnLoad = (Button) findViewById(R.id.btnLoad);
        final TextView textView1 = (TextView) findViewById(R.id.textView1);

        btnSave.setOnClickListener(new Button.OnClickListener()
        {
        	public void onClick(View v)
        	{
        		writeToFile(editText1.getText().toString());
        	}
        });

        btnLoad.setOnClickListener(new Button.OnClickListener()
        {
        	public void onClick(View v)
        	{
        		textView1.setText(readFromFile());
        	}
        });
        
    }
     
    private void writeToFile(String data) 
    {
        try 
        {
            OutputStreamWriter outputStreamWriter = new OutputStreamWriter(openFileOutput(FILENAME, Context.MODE_APPEND)); // ...MODE_PRIVATE does not append
            outputStreamWriter.append(data);
            // outputSteamWriter.write(data); // overwrites complete file and replaces contents with data
            outputStreamWriter.close();
        }
        catch (IOException e) 
        {
            Log.e(TAG, "File write failed: " + e.toString());
        } 
         
    }
 
    private String readFromFile() 
    {
         
        String ret = "";
         
        try 
        {
            InputStream inputStream = openFileInput(FILENAME);
             
            if ( inputStream != null ) 
            {
                InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
                BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
                String receiveString = "";
                StringBuilder stringBuilder = new StringBuilder();
                 
                while ( (receiveString = bufferedReader.readLine()) != null ) 
                {
                    stringBuilder.append(receiveString);
                }
                 
                inputStream.close();
                ret = stringBuilder.toString();
            }
        }
        catch (FileNotFoundException e) 
        {
            Log.e(TAG, "File not found: " + e.toString());
        } 
        catch (IOException e) 
        {
            Log.e(TAG, "Cannot read file: " + e.toString());
        }
 
        return ret;
    }
}